## visad.browser
Class GMCWidget

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  visad.browser.Widget
                      visad.browser.GMCWidget

All Implemented Interfaces:
  Accessible, ActionListener, EventListener, ImageObserver, ItemListener, MenuContainer, Serializable

public class GMCWidget
extends Widget
implements ActionListener, ItemListener

A widget that allows users to control graphics mode parameters.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Panel
`Panel.AccessibleAWTPanel`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`(package private) int` `gmcCurvedSize`
`(package private) float` `gmcLineWidth`
`(package private) boolean` `gmcMissingTransparent`
`(package private) boolean` `gmcPointMode`
`(package private) float` `gmcPointSize`
`(package private) int` `gmcPolygonMode`
`(package private) int` `gmcProjectionPolicy`
`(package private) boolean` `gmcScaleEnable`
`(package private) boolean` `gmcTextureEnable`
`(package private) int` `gmcTransparencyMode`
`(package private) TextField` `lineWidth`
`(package private) Checkbox` `point`
`(package private) TextField` `pointSize`
`(package private) Checkbox` `scale`
`(package private) Checkbox` `texture`

Fields inherited from class visad.browser.Widget
`DEBUG, FALSE, PALE_GRAY, TRUE`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GMCWidget()` Constructs a new GMCWidget.

Method Summary
`void` `actionPerformed(ActionEvent e)` Handles TextField changes.
`int` `getCurvedSize()` Gets the curved size.
`float` `getLineWidth()` Gets the value of the line width text field.
`boolean` `getMissingTransparent()` Gets whether missing values are transparent.
`boolean` `getPointMode()` Gets the value of the point mode checkbox;
`float` `getPointSize()` Gets the value of the point size text field.
`int` `getPolygonMode()` Gets the polygon mode.
`int` `getProjectionPolicy()` Gets the projection policy.
`String` `getSaveString()` Gets a string representing this widget's current state.
`boolean` `getScaleEnable()` Gets the value of the scale enable checkbox.
`boolean` `getTextureEnable()` Gets the value of the texture enable checkbox.
`int` `getTransparencyMode()` Gets the transparency mode.
`void` `itemStateChanged(ItemEvent e)` Handles Checkbox changes.
`static void` `main(String[] args)` Tests GMCWidget.
`void` `setCurvedSize(int cs)` Sets the curved size.
`void` `setLineWidth(float lw)` Programmatically sets the line width text field.
`void` `setMissingTransparent(boolean mt)` Sets whether missing values are transparent.
`void` `setPointMode(boolean pm)` Programmatically sets the point mode checkbox.
`void` `setPointSize(float ps)` Programmatically sets the point size text field.
`void` `setPolygonMode(int pm)` Sets the polygon mode.
`void` `setProjectionPolicy(int pp)` Sets the projection policy.
`void` `setSaveString(String save)` Reconstructs this widget's state using the specified save string.
`void` `setScaleEnable(boolean se)` Programmatically sets the scale enabled checkbox.
`void` `setTextureEnable(boolean tm)` Programmatically sets the texture mapping checkbox.
`void` `setTransparencyMode(int tm)` Sets the transparency mode.

Methods inherited from class visad.browser.Widget
`addComponent, addWidgetListener, containedIn, notifyListeners, removeWidgetListener, testWidget`

Methods inherited from class java.awt.Panel
`addNotify, getAccessibleContext`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### scale

    Checkbox scale

### point

    Checkbox point

### texture

    Checkbox texture

### lineWidth

    TextField lineWidth

### pointSize

    TextField pointSize

### gmcScaleEnable

    boolean gmcScaleEnable

### gmcPointMode

    boolean gmcPointMode

### gmcTextureEnable

    boolean gmcTextureEnable

### gmcLineWidth

    float gmcLineWidth

### gmcPointSize

    float gmcPointSize

### gmcTransparencyMode

    int gmcTransparencyMode

### gmcProjectionPolicy

    int gmcProjectionPolicy

### gmcPolygonMode

    int gmcPolygonMode

### gmcMissingTransparent

    boolean gmcMissingTransparent

### gmcCurvedSize

    int gmcCurvedSize

Constructor Detail

### GMCWidget

    public GMCWidget()

  Constructs a new GMCWidget.

Method Detail

### getLineWidth

    public float getLineWidth()

  Gets the value of the line width text field.

### setLineWidth

    public void setLineWidth(float lw)

  Programmatically sets the line width text field.

### getPointSize

    public float getPointSize()

  Gets the value of the point size text field.

### setPointSize

    public void setPointSize(float ps)

  Programmatically sets the point size text field.

### getPointMode

    public boolean getPointMode()

  Gets the value of the point mode checkbox;

### setPointMode

    public void setPointMode(boolean pm)

  Programmatically sets the point mode checkbox.

### getTextureEnable

    public boolean getTextureEnable()

  Gets the value of the texture enable checkbox.

### setTextureEnable

    public void setTextureEnable(boolean tm)

  Programmatically sets the texture mapping checkbox.

### getScaleEnable

    public boolean getScaleEnable()

  Gets the value of the scale enable checkbox.

### setScaleEnable

    public void setScaleEnable(boolean se)

  Programmatically sets the scale enabled checkbox.

### getTransparencyMode

    public int getTransparencyMode()

  Gets the transparency mode.

### setTransparencyMode

    public void setTransparencyMode(int tm)

  Sets the transparency mode.

### getProjectionPolicy

    public int getProjectionPolicy()

  Gets the projection policy.

### setProjectionPolicy

    public void setProjectionPolicy(int pp)

  Sets the projection policy.

### getPolygonMode

    public int getPolygonMode()

  Gets the polygon mode.

### setPolygonMode

    public void setPolygonMode(int pm)

  Sets the polygon mode.

### getMissingTransparent

    public boolean getMissingTransparent()

  Gets whether missing values are transparent.

### setMissingTransparent

    public void setMissingTransparent(boolean mt)

  Sets whether missing values are transparent.

### getCurvedSize

    public int getCurvedSize()

  Gets the curved size.

### setCurvedSize

    public void setCurvedSize(int cs)

  Sets the curved size.

### getSaveString

    public String getSaveString()

  Gets a string representing this widget's current state.

  Specified by:
    `getSaveString` in class `Widget`

### setSaveString

    public void setSaveString(String save)

  Reconstructs this widget's state using the specified save string.

  Specified by:
    `setSaveString` in class `Widget`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Handles TextField changes.

  Specified by:
    `actionPerformed` in interface `ActionListener`

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

  Handles Checkbox changes.

  Specified by:
    `itemStateChanged` in interface `ItemListener`

### main

    public static void main(String[] args)

  Tests GMCWidget.